import { StorageProvider, StorageConfig, StorageFactory as IStorageFactory } from './types.js';
/**
 * Factory class for creating storage providers based on configuration
 */
export declare class StorageFactory implements IStorageFactory {
    /**
     * Create a storage provider based on the provided configuration
     */
    static create(config: StorageConfig): StorageProvider;
    /**
     * Create storage provider instance (non-static method for interface compliance)
     */
    create(config: StorageConfig): StorageProvider;
    /**
     * Get default storage configuration from environment variables
     */
    static getDefaultConfig(): StorageConfig;
    /**
     * Validate storage configuration
     */
    static validateConfig(config: StorageConfig): void;
}
//# sourceMappingURL=factory.d.ts.map